"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Slider = _interopRequireDefault(require("./components/Slider"));
var _PlayPauseButton = _interopRequireDefault(require("./components/PlayPauseButton"));
var _reactNativeSound = _interopRequireDefault(require("react-native-sound"));
var _millisToMinutesAndSeconds = require("./utils/millisToMinutesAndSeconds");
var _getPlayedPercentage = require("./utils/getPlayedPercentage");
var _getPlayerPosition = require("./utils/getPlayerPosition");
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const THREE_HUNDRED_MILLIS = 300;
const AudioComponent = props => {
  var _props$audio;
  const [duration, setDuration] = (0, _react.useState)(0);
  const [currentTime, setCurrentTime] = (0, _react.useState)(0);
  const [playing, setPlaying] = (0, _react.useState)(false);
  const interval = (0, _react.useRef)();
  const sound = (0, _react.useRef)(new _reactNativeSound.default((_props$audio = props.audio) === null || _props$audio === void 0 ? void 0 : _props$audio.fileUrl, _reactNativeSound.default.MAIN_BUNDLE, error => {
    if (error) {
      console.log('failed to load the sound', error);
      return;
    } else {
      var _sound$current;
      setDuration(Math.floor((_sound$current = sound.current) === null || _sound$current === void 0 ? void 0 : _sound$current.getDuration()));
    }
  }));
  (0, _react.useEffect)(() => () => {
    var _sound$current2;
    (_sound$current2 = sound.current) === null || _sound$current2 === void 0 ? void 0 : _sound$current2.release();
    sound.current = null;
    clearInterval(interval.current);
  }, []);
  const updateCurrentTime = (0, _react.useCallback)(() => {
    var _sound$current3;
    (_sound$current3 = sound.current) === null || _sound$current3 === void 0 ? void 0 : _sound$current3.getCurrentTime(seconds => {
      setCurrentTime(Math.floor(seconds));
    });
  }, [sound.current]);
  const togglePlayback = (0, _react.useCallback)(() => {
    if (playing) {
      var _sound$current4;
      (_sound$current4 = sound.current) === null || _sound$current4 === void 0 ? void 0 : _sound$current4.pause();
      setPlaying(false);
      clearInterval(interval.current);
    } else {
      var _sound$current5;
      (_sound$current5 = sound.current) === null || _sound$current5 === void 0 ? void 0 : _sound$current5.play(() => {
        var _sound$current6;
        (_sound$current6 = sound.current) === null || _sound$current6 === void 0 ? void 0 : _sound$current6.release();
        setPlaying(false);
      });
      interval.current = setInterval(updateCurrentTime, THREE_HUNDRED_MILLIS);
      setPlaying(true);
    }
  }, [sound.current, playing]);
  const onSliderChange = value => {
    var _sound$current7;
    (_sound$current7 = sound.current) === null || _sound$current7 === void 0 ? void 0 : _sound$current7.setCurrentTime((0, _getPlayerPosition.getPlayedPosition)({
      duration,
      playedPercentage: value
    }));
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.audio
  }, /*#__PURE__*/_react.default.createElement(_PlayPauseButton.default, {
    isPlaying: playing,
    onPress: togglePlayback
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _styles.styles.duration
  }, (0, _millisToMinutesAndSeconds.secondsToMinutesAndSeconds)(currentTime), " /", ' ', (0, _millisToMinutesAndSeconds.secondsToMinutesAndSeconds)(duration)), /*#__PURE__*/_react.default.createElement(_Slider.default, {
    onValueChange: onSliderChange,
    value: (0, _getPlayedPercentage.getPlayedPercentage)({
      currentTime,
      duration
    })
  }));
};
var _default = /*#__PURE__*/(0, _react.memo)(AudioComponent);
exports.default = _default;
//# sourceMappingURL=index.js.map