"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Message = require("../../../../../types/Message");
var _ChatConfigurations = require("../../../../../context/ChatConfigurations");
var _MessageHour = _interopRequireDefault(require("../components/MessageHour"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = MessageComponent => {
  const {
    botConfigs
  } = (0, _ChatConfigurations.useChatConfigurations)();
  const styles = _reactNative.StyleSheet.create({
    container: {
      marginTop: 16,
      borderTopRightRadius: 16,
      borderTopStartRadius: 16,
      maxWidth: 290,
      minWidth: 80,
      padding: 16,
      paddingBottom: 0
    },
    bot: {
      backgroundColor: botConfigs.colors.secondary,
      alignSelf: 'flex-start',
      borderBottomEndRadius: 16,
      borderBottomStartRadius: 4,
      marginLeft: 16
    },
    user: {
      backgroundColor: botConfigs.colors.main,
      alignSelf: 'flex-end',
      marginRight: 16,
      borderBottomEndRadius: 4,
      borderBottomStartRadius: 16
    }
  });
  const MessageWrapper = props => {
    const ballonStyle = props.from === _Message.From.BOT ? styles.bot : styles.user;
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [styles.container, ballonStyle]
    }, /*#__PURE__*/_react.default.createElement(MessageComponent, props), props.type !== _Message.MessageTypes.TYPING && /*#__PURE__*/_react.default.createElement(_MessageHour.default, {
      msg: props
    }));
  };
  return MessageWrapper;
};
exports.default = _default;
//# sourceMappingURL=wrapMessage.js.map