import React from 'react';
import { View, Image, Text, TouchableOpacity } from 'react-native';
import { useChatConfigurations } from '../../../../context/ChatConfigurations';
import { useSocketContext } from '../../../../context/Socket/Component';
import Icon from '../../../Icon';
import closeIcon from '../../../../assets/icons/CloseIcon.png';
import resetIcon from '../../../../assets/icons/ResetIcon.png';
import { styles } from './styles';
function Header() {
  const {
    isChatOpen,
    toggleIsChatOpen,
    botConfigs
  } = useChatConfigurations();
  const {
    restartConversation
  } = useSocketContext();
  const onClose = () => !!isChatOpen && toggleIsChatOpen();
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, styles.wrapper, {
      backgroundColor: botConfigs.colors.main
    }]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.titleContainer
  }, /*#__PURE__*/React.createElement(Icon, null), /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, botConfigs.title)), /*#__PURE__*/React.createElement(View, {
    style: styles.iconsWrapper
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: () => restartConversation()
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: resetIcon
  }))), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onClose
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: closeIcon
  })))));
}
export default Header;
//# sourceMappingURL=index.js.map