import React, { memo } from 'react';
import { Text, Image, TouchableOpacity } from 'react-native';
import * as FileSystem from 'expo-file-system';
import { getFileNameFromAttachment } from '../../../../../../utils/getFilenameFromAttachment';
import { useChatConfigurations } from '../../../../../../context/ChatConfigurations';
import attachIcon from '../../../../../../assets/attach_icon.png';
import { saveAndroidFile } from '../../../../../../utils/save';
import { styles } from './styles';
const DocumentComponent = msg => {
  const {
    botConfigs
  } = useChatConfigurations();
  const fileUrl = msg.document;
  const fileName = getFileNameFromAttachment(fileUrl);
  const downloadFile = () => {
    FileSystem.downloadAsync(fileUrl.fileUrl, FileSystem.documentDirectory + fileName).then(doc => {
      saveAndroidFile({
        fileName,
        fileUri: doc.uri,
        contentType: doc.headers['content-type']
      });
    }).catch(console.log);
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: styles.container,
    onPress: downloadFile
  }, /*#__PURE__*/React.createElement(Image, {
    source: attachIcon,
    style: styles.image
  }), /*#__PURE__*/React.createElement(Text, {
    style: {
      color: botConfigs.colors.secondaryText
    }
  }, fileName));
};
export default /*#__PURE__*/memo(DocumentComponent);
//# sourceMappingURL=index.js.map